"use strict";
/**
 * @athenna/core
 *
 * (c) João Lenon <lenon@athenna.io>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResolveClassExport = void 0;
const utils_1 = require("@secjs/utils");
class ResolveClassExport {
    static resolve(module) {
        if (utils_1.Is.Class(module)) {
            return module;
        }
        if (utils_1.Is.Object(module) && !module.default) {
            const firstProviderKey = Object.keys(module)[0];
            return module[firstProviderKey];
        }
        return module.default();
    }
}
exports.ResolveClassExport = ResolveClassExport;
