"use strict";
/**
 * @athenna/core
 *
 * (c) João Lenon <lenon@athenna.io>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAppFiles = void 0;
const fs_1 = require("fs");
const utils_1 = require("@secjs/utils");
function getAppFiles(path) {
    if (!fs_1.existsSync(path))
        return [];
    return (new utils_1.Folder(path)
        .loadSync()
        // Get all .js and .ts files but not the .d.ts.
        .getFilesByPattern('!(*.d)*.*(js|ts)'));
}
exports.getAppFiles = getAppFiles;
